org.eclipse.wst.jsdt.ui.dialogs

## Interface ITypeInfoFilterExtension

    public interface ITypeInfoFilterExtension

A filter to select `ITypeInfoRequestor` objects.

The interface should be implemented by clients wishing to provide special filtering to the type selection dialog.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `select(ITypeInfoRequestor typeInfoRequestor)` Returns whether the given type makes it into the list or not.

### Method Detail

#### select

    boolean select(ITypeInfoRequestor typeInfoRequestor)

Returns whether the given type makes it into the list or not.

Parameters:
  `typeInfoRequestor` - the `ITypeInfoRequestor` to used to access data for the type under inspection
Returns:
  whether the type is selected or not